petsc-3.10.5 2019-03-28
Report Typos and Errors

# TS2GetSolution

Returns the solution and time derivative at the present timestep for second order equations. It is valid to call this routine inside the function that you are evaluating in order to move to the new timestep. This vector not changed until the solution at the next timestep has been calculated.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TS2GetSolution(TS ts,Vec *u,Vec *v)

Not Collective, but Vec returned is parallel if TS is parallel

### Input Parameter

ts -the TS context obtained from TSCreate()

### Output Parameter

| u | - the vector containing the solution
| v | - the vector containing the time derivative

### See Also

TS2SetSolution(), TSGetTimeStep(), TSGetTime()

### Keywords

TS, timestep, get, solution

### Level

intermediate

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages